<?php

/**
 * Catalog manage products block
 *
 * @category   Inchoo
 * @package    Inchoo_CrossRelated
 * @author     Ivan Galamboš <ivan.galambos@inchoo.net>
 */
class Inchoo_CrossRelated_Block_Adminhtml_Catalog_Product extends Mage_Adminhtml_Block_Catalog_Product
{
    /**
     * Set template
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Prepare button and grid
     *
     * @return Mage_Adminhtml_Block_Catalog_Product
     */
    protected function _prepareLayout()
    {
    	$config = false;
    	$configOption = Mage::helper('crossrelated')->getConfigEnabled();
    	if ($configOption) {
    		$config = Mage::helper('crossrelated')->getConfigCsv();
    	}
    	
    	if ($config) {
    		$this->_addButton('csv_import', array(
    				'label'   => Mage::helper('catalog')->__('Cross Related CSV Import'),
    				'onclick' => "setLocation('{$this->getUrl('*/*/csvimport')}')",
    		));
    	}
        
        return parent::_prepareLayout();
    }

}
