<?php
/**
 * Import edit form block
 *
 * @category    Inchoo
 * @package     Inchoo_CrossRelated
 * @author      Ivan Galamboš <ivan.galambos@inchoo.net>
 */
class Inchoo_CrossRelated_Block_Adminhtml_Import_Edit_Form extends Mage_Adminhtml_Block_Widget_Form
{
    /**
     * Add fieldset
     *
     * @return Inchoo_CrossRelated_Block_Adminhtml_Import_Edit_Form
     */
    protected function _prepareForm()
    {
        $form = new Varien_Data_Form(array(
            'id'      => 'edit_form',
            'action'  => $this->getUrl('*/*/validatecsvimport'),
            'method'  => 'post',
            'enctype' => 'multipart/form-data'
        ));
        $fieldset = $form->addFieldset('base_fieldset', array('legend' => Mage::helper('crossrelated')->__('CrossRelated Import Settings')));


        $fieldset->addField(Inchoo_CrossRelated_Model_Import::FIELD_NAME_SOURCE_FILE, 'file', array(
            'name'     => Inchoo_CrossRelated_Model_Import::FIELD_NAME_SOURCE_FILE,
            'label'    => Mage::helper('crossrelated')->__('Select CSV File to Import'),
            'title'    => Mage::helper('crossrelated')->__('Select CSV File to Import'),
            'required' => true
        ));

        $form->setUseContainer(true);
        $this->setForm($form);

        return parent::_prepareForm();
    }
}
