<?php

/**
 * TargetRule Catalog Product List Related Block
 *
 * @category   Inchoo
 * @package    Inchoo_CrossRelated
 */
class Inchoo_CrossRelated_Block_Catalog_Product_List_Related extends Enterprise_TargetRule_Block_Catalog_Product_List_Related

{
    /**
     * Retrieve array of exclude product ids
     * Rewrite for exclude shopping cart products
     *
     * @return array
     */
    public function getExcludeProductIds()
    {
        if (is_null($this->_excludeProductIds)) {

            if (Mage::helper('crossrelated')->getConfigExclude()) {
                $cartProductIds = Mage::getSingleton('checkout/cart')->getProductIds();
                $this->_excludeProductIds = array_merge($cartProductIds, array($this->getProduct()->getEntityId()));
            } else {
                $this->_excludeProductIds = array();
            }

        }

        return $this->_excludeProductIds;
    }
}
