<?php

/**
 * CrossRelated data helper
 *
 * @category    Inchoo
 * @package     Inchoo_CrossRelated
 * @author      Ivan Galamboš <ivan.galambos@inchoo.net>
 */
class Inchoo_CrossRelated_Helper_Data extends Mage_Core_Helper_Abstract
{
	/**
	 * Get configuration value
	 *
	 * @return bool
	 */
	public function getConfigEnabled()
	{
		return (bool) Mage::getStoreConfig('crossrelated/crossrelated/enabled');
	}
	
	/**
	 * Get configuration value
	 *
	 * @return bool
	 */
	public function getConfigRemove()
	{
		return (bool) Mage::getStoreConfig('crossrelated/crossrelated/remove');
	}
	
	/**
	 * Get configuration value
	 *
	 * @return bool
	 */
	public function getConfigCsv()
	{
		return (bool) Mage::getStoreConfig('crossrelated/crossrelated/csvimport');
	}
	
	/**
	 * Get configuration value
	 *
	 * @return bool
	 */
	public function getConfigExclude()
	{
		return (bool) Mage::getStoreConfig('crossrelated/crossrelated/exclude');
	}
	
	/**
     * Maximum size of uploaded files.
     *
     * @return string
     */
    public function getMaxUploadSize()
    {
        return min(ini_get('post_max_size'), ini_get('upload_max_filesize'));
    }
	
}