<?php

/**
 * Catalog product link model
 *
 * @category    Inchoo
 * @package     Inchoo_CrossRelated
 * @author      Ivan Galamboš <ivan.galambos@inchoo.net>
 */
class Inchoo_CrossRelated_Model_Product_Link extends Mage_Catalog_Model_Product_Link
{
    /**
     * Save data for product relations
     *
     * @param   Mage_Catalog_Model_Product $product
     * @return  Inchoo_CrossRelated_Model_Product_Link
     */
    public function saveProductRelations($product)
    {
        $data = $product->getRelatedLinkData();
        if (!is_null($data)) {
            $configOption = (bool)Mage::getStoreConfig('crossrelated/crossrelated/enabled');
            if ( $configOption ) {
                $this->_getResource()->_initSaveProductLinksById((int)$product->getId(), $data, self::LINK_TYPE_RELATED);
            } else {
                $this->_getResource()->saveProductLinks($product, $data, self::LINK_TYPE_RELATED);
            }

        }
        $data = $product->getUpSellLinkData();
        if (!is_null($data)) {
            $this->_getResource()->saveProductLinks($product, $data, self::LINK_TYPE_UPSELL);
        }
        $data = $product->getCrossSellLinkData();
        if (!is_null($data)) {
            $this->_getResource()->saveProductLinks($product, $data, self::LINK_TYPE_CROSSSELL);
        }
        return $this;
    }
}
